.\"	$NetBSD: kdump.1,v 1.25 2003/11/16 21:52:33 manu Exp $
.\"
.\" Copyright (c) 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)kdump.1	8.1 (Berkeley) 6/6/93
.\"
.Dd November 15, 2003
.Dt KDUMP 1
.Os
.Sh NAME
.Nm kdump
.Nd display kernel trace data
.Sh SYNOPSIS
.Nm
.Op Fl dlNnRT
.Op Fl e Ar emulation
.Op Fl f Ar file
.Op Fl m Ar maxdata
.Op Fl p Ar pid
.Op Fl t Ar trstr
.Op Fl x | Fl X Ar size
.Op Ar file
.Sh DESCRIPTION
.Nm
displays the kernel trace files produced with
.Xr ktrace 1
in human readable format.
The file
.Pa ktrace.out
in the current directory is displayed, unless either the
.Fl f
option is used, or a file name is supplied as the last argument.
.Pp
The options are as follows:
.Bl -tag -width Fl
.It Fl d
Display all numbers in decimal.
.It Fl e Ar emulation
If an emulation of a process is unknown,
interpret system call maps assuming the named emulation instead of
default "netbsd".
.It Fl f Ar file
Display the specified file instead of
.Pa ktrace.out .
.It Fl l
Loop reading the trace file, once the end-of-file is reached, waiting for
more data.
.It Fl m Ar maxdata
Display at most
.Ar maxdata
bytes when decoding
.Tn I/O .
.It Fl N
Suppress system call number-to-name translation.
.It Fl n
Suppress ad hoc translations.
Normally
.Nm
tries to decode many system calls into a more human readable format.
For example,
.Xr ioctl 2
values are replaced with the macro name and
.Va errno
values are replaced with the
.Xr strerror 3
string.
Suppressing this feature yields a more consistent output format and is
easily amenable to further processing.
.It Fl p Ar pid
Only display records from the trace file that are for the indicated pid.
.It Fl R
Display relative timestamps (time since previous entry).
.It Fl T
Display absolute timestamps for each entry (seconds since epoch).
.It Fl t Ar trstr
Restrict display to the specified set of kernel trace points.
The default is to display everything in the file.
See the
.Fl t
option of
.Xr ktrace 1 .
.It Fl x
Display GIO data in hex and ascii instead of
.Xr vis 3
format.
.It Fl X Ar size
Same as 
.Fl x
but display hex values by groups of 
.Ar size 
bytes.
Supported values are 1, 2, 4, 8, and 16. 
.El
.Sh SEE ALSO
.Xr ktrace 1
.Sh HISTORY
The
.Nm
command appears in
.Bx 4.4 .
